

<div class="main-form"> 
                 
            <!-- Tab Buttons -->
            <div class="tabs">
                <button class="tab active" id="loginTab">Login</button>
                <button class="tab" id="signupTab">Signup</button>
            </div>
            
            <!-- Login Form -->
            <div id="loginForm" class="form-container active">
                <h2>Login</h2>
                <form id="loginFormContent">
                    <label for="emailLogin">Email</label>
                    <input type="email" id="emailLogin" name="email" placeholder="Enter your email" required>
                    <span id="emailLoginError" class="error-message"></span>
            
                    <label for="passwordLogin">Password</label>
                    <input type="password" id="passwordLogin" name="password" placeholder="Enter your password" required>
                    <span id="passwordLoginError" class="error-message"></span>
            
                    <button type="submit" id="loginBtn">Login</button>
                </form>
                <div class="links">
                    <a href="#">Forgot Password?</a>
                    <a href="#" id="dontHaveAccountLink">Don't have an Account?</a>
                </div>
            </div>
            
            <!-- Signup Form -->
            <div id="signupForm" class="form-container">
                <h2>Signup</h2>
                <form id="signupFormContent">
                    <label for="name">Full Name</label>
                    <input type="text" id="name" name="name" placeholder="Enter your name" required>
            
                    <label for="emailSignup">Email</label>
                    <input type="email" id="emailSignup" name="email" placeholder="Enter your email" required>
                    <span id="emailSignupError" class="error-message"></span>
            
                    <label for="passwordSignup">Password</label>
                    <input type="password" id="passwordSignup" name="password" placeholder="Enter your password" required>
            
                    <label for="confirmPassword">Confirm Password</label>
                    <input type="password" id="confirmPassword" name="confirmPassword" placeholder="Confirm your password" required>
                    <span id="passwordMismatchError" class="error-message"></span>
                    <span id="passwordStrengthError" class="error-message"></span>
            
                    <button type="submit" id="signupBtn">Signup</button>
                </form>
                <div class="links">
                        <a href="#" id="alreadyHaveAccountLink">Already have an account? Login</a>
                </div>
            </div>
            
                </div>   
                    
        
        
        
        <style>
        
      /* General Styles */
body {
    font-family: 'Arial', sans-serif;
    background-color: #f4f7fc;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.main-form {
    background-color: var(--color-d);
    padding: 40px;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 420px;
    transition: all 0.3s ease;
}

h2 {
    text-align: center;
    margin-bottom: 20px;
    color: var(--color-c);
}

/* Tabs Container */
.tabs {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 20px;
    gap:10px;
}

/* Tab Styles */
.tab {
    padding: 12px 20px;
    cursor: pointer;
    background-color: #f1f1f1;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    color: var(--color-c);
    transition: background-color 0.3s ease, color 0.3s ease;
}

.tab:hover {
    background-color: var(--color-b);
    color: var(--color-d);
}

/* Active Tab Styling */
.tab.active {
    background-color: var(--color-a);
    color: white;
    font-weight: bold;
}

.form-container {
    display: none;
    transition: opacity 0.3s ease;
}

.form-container.active {
    display: block;
    opacity: 1;
}

/* Input Fields */
input {
    width: 100%;
    padding: 12px;
    border-radius: 8px;
    box-sizing: border-box;
    font-size: 16px;
    transition: all 0.3s ease;
    border: 2px solid var(--color-b);
    margin: 10px 0px 20px;
}

input:focus {
    border-color: var(--color-a);
    outline: none;
}

button {
    width: 100%;
    padding: 12px;
    background-color: var(--color-b);
    color: white;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: var(--color-a);
}

/* Links */
.links {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.links a {
    text-decoration: none;
    color: var(--color-a);
    font-size: 14px;
    margin: 0 5px;
}

.links a:hover {
    text-decoration: underline;
}

/* Error Message Styles */
.error-message {
    color: red;
    font-size: 12px;
    display: none;
}

/* Responsive Design */
@media (max-width: 500px) {
    .auth-container {
        width: 90%;
        padding: 20px;
    }
}

        
        
        
        </style>
        
        
        
        
        
        <script>
            
            
            
            // Set the default active tab (Login)
document.getElementById("loginTab").classList.add("active");
document.getElementById("loginForm").classList.add("active");

// Switch between forms
document.getElementById("loginTab").addEventListener("click", function() {
    // Show Login form and set the tab to active
    document.getElementById("loginForm").classList.add("active");
    document.getElementById("signupForm").classList.remove("active");

    // Highlight the active tab
    document.getElementById("loginTab").classList.add("active");
    document.getElementById("signupTab").classList.remove("active");
});

document.getElementById("signupTab").addEventListener("click", function() {
    // Show Signup form and set the tab to active
    document.getElementById("signupForm").classList.add("active");
    document.getElementById("loginForm").classList.remove("active");

    // Highlight the active tab
    document.getElementById("signupTab").classList.add("active");
    document.getElementById("loginTab").classList.remove("active");
});


       // Get the elements
    const loginTab = document.getElementById("loginTab");
    const signupTab = document.getElementById("signupTab");
    const loginForm = document.getElementById("loginForm");
    const signupForm = document.getElementById("signupForm");
    const dontHaveAccountLink = document.getElementById("dontHaveAccountLink");
    const alreadyHaveAccountLink = document.getElementById("alreadyHaveAccountLink");

    // Event listener for the "Don't have an Account?" link
    dontHaveAccountLink.addEventListener("click", () => {
        // Switch to the signup tab
        loginTab.classList.remove("active");
        signupTab.classList.add("active");

        loginForm.classList.remove("active");
        signupForm.classList.add("active");
    });

    // Event listener for the "Already have an account? Login" link
    alreadyHaveAccountLink.addEventListener("click", () => {
        // Switch to the login tab
        signupTab.classList.remove("active");
        loginTab.classList.add("active");

        signupForm.classList.remove("active");
        loginForm.classList.add("active");
    });

        </script>